GWT 2.7.0

## com.google.gwt.dom.client
Enum Style.Unit

    java.lang.Object
      java.lang.Enum<Style.Unit>
          com.google.gwt.dom.client.Style.Unit

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Style.Unit>

Enclosing class:
  Style

    public static enum Style.Unit

extends java.lang.Enum<Style.Unit>

CSS length units.

Enum Constant Summary
`CM`
`EM`
`EX`
`IN`
`MM`
`PC`
`PCT`
`PT`
`PX`

Method Summary
`abstract java.lang.String` | `getType()`
`static Style.Unit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Style.Unit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PX

    public static final Style.Unit PX

### PCT

    public static final Style.Unit PCT

### EM

    public static final Style.Unit EM

### EX

    public static final Style.Unit EX

### PT

    public static final Style.Unit PT

### PC

    public static final Style.Unit PC

### IN

    public static final Style.Unit IN

### CM

    public static final Style.Unit CM

### MM

    public static final Style.Unit MM

Method Detail

### values

    public static Style.Unit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Style.Unit c : Style.Unit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Style.Unit valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getType

    public abstract java.lang.String getType()

GWT 2.7.0